summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-06 01:22:34 +0100
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-06 01:23:34 +0100
commit5a325f329863eb32c04e6133258cf865f42b9baa (patch)
treef5e6105f6acffbdad9a38dcf7fc0e366a0644576
parent05e6185f7740f3acef556ba39cff95139bd7130d (diff)
downloadmidipix_build-5a325f329863eb32c04e6133258cf865f42b9baa.tar.bz2
midipix_build-5a325f329863eb32c04e6133258cf865f42b9baa.tar.xz
build.sh, subr/post_sha256sums.subr: compile ${PREFIX}/SHA256SUMS over eXecutable files in ${PREFIX_NATIVE}/{bin,lib} (via midipix.)
-rwxr-xr-xbuild.sh2
-rw-r--r--subr/post_sha256sums.subr16
2 files changed, 17 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 8511e7bf..8a057c5d 100755
--- a/build.sh
+++ b/build.sh
@@ -109,7 +109,7 @@ for BUILD_TARGET_LC in $(subst_tgts invariants ${BUILD_TARGETS_META:-world}); do
fi;
done;
if [ "${BUILD_SCRIPT_RC:-0}" -eq 0 ]; then
- post_copy_etc; post_strip; post_tarballs;
+ post_copy_etc; post_strip; post_tarballs; post_sha256sums;
fi;
post_build_files;
log_msg info "${BUILD_NFINI} finished, ${BUILD_NSKIP} skipped, and ${BUILD_NFAIL} failed builds in ${BUILD_NBUILT} build script(s).";
diff --git a/subr/post_sha256sums.subr b/subr/post_sha256sums.subr
new file mode 100644
index 00000000..befd2d15
--- /dev/null
+++ b/subr/post_sha256sums.subr
@@ -0,0 +1,16 @@
+#
+# set -o errexit -o noglob are assumed.
+#
+
+post_sha256sums() {
+ local __;
+ log_msg info "Compiling SHA256 sums...";
+ if [ -e "${PREFIX}/SHA256SUMS" ]; then
+ build_fileop mv "${PREFIX}/SHA256SUMS" "${PREFIX}/SHA256SUMS.last";
+ fi;
+ for __ in $(find "${PREFIX_NATIVE}" -type f -perm +011 -name bin/\* lib/\*); do
+ sha256sum "${__}";
+ done > "${PREFIX}/SHA256SUMS";
+};
+
+# vim:filetype=sh